For the complete documentation index, see llms.txt. This page is also available as Markdown.

Build website NodeJS assets

Builds and deploys a Node.js application for an Agency Plan website from an already-uploaded archive.

Build website NodeJS assets

post

Builds and deploys a Node.js application for an Agency Plan website from an already-uploaded archive.

Upload the archive to file browser first, then provide its relative path from document root in this request. Website contents are overwritten by the build result, which is deployed to public_html.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
website_uidstringRequired

Agency Plan website UID

Example: zpwlGlp19
Body

Build Node.js assets from an already-uploaded archive

archive_pathstringRequired

Directory, relative to the website document root, where the uploaded site archive currently lives. Most commonly this is simply public_html.

Example: public_html
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
post/api/agency-hosting/v1/websites/{website_uid}/build-assets
POST /api/agency-hosting/v1/websites/{website_uid}/build-assets HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 30

{
  "archive_path": "public_html"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?